ROS Resources: Documentation | Support | Discussion Forum | Service Status | Q&A answers.ros.org

OpenCV 3.2 in Debian Stretch

Hello all,
In preparation for the upcoming Melodic release, early next week we are planning on uploading OpenCV 3.2 packages for Debian Stretch amd64/arm64 to http://packages.ros.org. This means that any Debian Stretch machines that have packages.ros.org in their /etc/apt/sources.list.d will get libopencv-* upgraded to 3.2 the next time they run sudo apt-get upgrade. This will allow maintainers to release a single version of their package that runs across all of the Melodic supported platforms.

Please let us know if you have comments or questions about this change.

Thanks,
Your friendly Melodic maintainers

Hello,

I was wondering why 3.2 was targeted, seeing as it’s from 2016? Is there a roadmap plan somewhere?

Don’t mean to sound ungrateful, because this is excellent stuff!

The reason is because OpenCV 3.2 is the version shipped in Ubuntu Bionic (which we expect to be the most used OS platform for Melodic). Instead of trying to compile newer versions for all platforms, which has given us some pain in the past, we decided to standardize on the version in Bionic and just bring Debian Stretch up to that version.

Gotcha, thanks for the info!